API ReferenceContent Library
Get all available details for a given illness
GET
/v1/contentLibrary/illnesses/{illnessId}Use this endpoint to get all available details for a given illness.
localSpecializations are always included in the response.
Authorization
BearerToken AuthorizationBearer <token>
Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Path Parameters
illnessId*string
Identifier of the illness whose details were requested.
Header Parameters
language*string
The expected language of the response.
Response Body
application/json
curl -X GET "https://example.com/v1/contentLibrary/illnesses/dcf38f8e-d9d5-409e-b0eb-20b92cab450d" \ -H "authorization: Bearer <token>" \ -H "language: en"{ "id": "dcf38f8e-d9d5-409e-b0eb-20b92cab450d", "isFrequent": false, "name": "Myasthenia gravis", "description": "Myasthenia gravis is an autoimmune disease in which the transmission of nerve signals to muscle cells is disturbed. At the beginning of the disease, the symptoms are very mild, tend to appear in the evening when the patient is very tired, and improve or disappear after appropriate rest periods. Patients often perceive double images, mostly in connection with unilaterally or bilaterally unevenly drooping eyelids or increased blinking. About 20 percent of those affected only have eye complaints or vision problems. Other possible symptoms include difficulty swallowing or chewing and unclear pronunciation. If the facial muscles are also affected, the mimic may appear expressionless, possibly with drooping corners of the mouth or facial paralysis. If there are possible signs of myasthenia gravis or difficulties with rapidly changing movements, affected persons should consult a doctor as soon as possible. The disease is currently not curable, however affected persons can usually live and work normally with the right therapy.", "isTelemedicalConsultationEnabled": false, "alternativeNames": [ "MG" ], "detailedOutlook": "Myasthenia gravis is currently not curable. Those affected are not fully able to work, but with the right therapy they can usually live normally and even work.", "recommendation": { "text": "Requires medical consultation in the near future", "textColor": "#F49327" }, "symptoms": [ { "id": "a4ae4c01-b581-4dec-a205-c0f77f904ccc", "name": "Cough" }, { "id": "b3b8c945-2d4c-41b1-9738-da485feb3f64", "name": "Breathing difficulties" }, { "id": "c7983457-7eb1-4b90-bddc-710ed2feb7c2", "name": "Swallowing difficulties" } ], "quickSolutions": [ { "id": "19833694-4035-4799-8c14-39ec0b5756cf", "name": "Medical help", "description": "Visit a medical professional as soon as possible and have yourself examined to determine the cause of your symptoms.", "iconUrl": "https://cms.live.xund.solutions/image/1576156075399-3eeb0312-0ff2-4752-afcb-c953cb1b788c" } ], "category": { "id": "5d12eca4-0de1-4ed6-abc3-5f8c83d84f9f", "name": "Diseases of the nervous system", "iconUrl": "https://cms.live.xund.solutions/image/nervous.svg" }, "localSpecializations": [ { "id": "8b93576d-427c-4daf-806b-5e679f9ccba5", "type": "DOCTOR", "name": "Neurology" } ], "code": { "coding": [ { "code": "G70.0" } ] }}Last updated on